gkrellm (2.3.11-2) unstable; urgency=medium

  * debian/patches
    - refresh patches
  * debian/patches/a6af4e3af210a3d69c50bdc145eb95c029fc21ab.patch
    - include inet.h; Closes: #958431

 -- Sandro Tosi <morph@debian.org>  Wed, 03 Feb 2021 01:13:25 -0500

gkrellm (2.3.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 2.2.9-1, 2.2.7-5, 2.2.7-4.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - replace b-d on libsensors4-dev with libsensors-dev; Closes: #917437
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
    - bump dh compat to 13
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/rules
    - set hardening flags
  * debian/watch
    - bump version to 4

 -- Sandro Tosi <morph@debian.org>  Thu, 14 Jan 2021 01:05:17 -0500

gkrellm (2.3.10-2) unstable; urgency=medium

  * debian/control
    - point Vcs fields to salsa
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/rules
    - fix FTCBFS: Let dh_auto_build pass cross compilers to make; patch by
      Helmut Grohne; Closes: #876110
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 13 May 2018 19:16:12 -0400

gkrellm (2.3.10-1) unstable; urgency=medium

  * [c820afb] New upstream version 2.3.10

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 12:46:49 -0500

gkrellm (2.3.8-1) unstable; urgency=medium

  * [446a39b] Imported Upstream version 2.3.8; Closes: #812185, #834773
  * [1d8272f] use HTTPS in Vcs-* fields

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Sep 2016 07:18:01 +0100

gkrellm (2.3.7-1) unstable; urgency=medium

  * [aa65a36] update d/watch
  * [467d32f] Imported Upstream version 2.3.7; Closes: #833463
  * [ab5882d] bump Standards-Version to 3.9.8 (no changes needed)
  * [5c9203a] extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Aug 2016 20:17:35 +0100

gkrellm (2.3.6~rc1-1) unstable; urgency=medium

  * [6f3f541] New upstream release candidate; Closes: #764023, #497635, #630117, #734176
  * [bf88eeb] update watch file
  * [c2936c9] remove 06_bts646262_add_format_string_to_syslog_call.patch, merged upstream
  * [c3a06ca] 11_Only-use-Libgcrypt-for-GnuTLS-2.12.patch, merged upstream
  * [070d49f] remove 12_Do-not-include-gcrypt.h-for-newer-GnuTLS-versions.patch, merged upstream
  * [e8b3f85] convert d/copyright to DEP-5
  * [c6076a7] extend upstream and packaging copyright years
  * [32688d7] bump Standards-Version to 3.9.6 (no changes needed)
  * [c69c948] update other copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Oct 2014 14:34:01 +0000

gkrellm (2.3.5-6) unstable; urgency=low

  [ Andreas Metzler ]
  * Pull 11_Only-use-Libgcrypt-for-GnuTLS-2.12.patch and
    12_Do-not-include-gcrypt.h-for-newer-GnuTLS-versions.patch from upstream
    GIT to stop unnecessary linkage against libgcrypt. Closes: #638646
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS; Closes: #731604

  [ Sandro Tosi ]
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 06 Apr 2014 19:05:07 +0200

gkrellm (2.3.5-5) unstable; urgency=low

  * Upload to unstable
  * 10_fix_glib_underlinkage.patch
    - link against gmodule-2.0, fixing a FTBFS (patch by Daniel T Chen, from
      Ubuntu); thanks to David Suárez for the report; Closes: #713724
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)
    - use canonical VCS URLs

 -- Sandro Tosi <morph@debian.org>  Sat, 29 Jun 2013 23:49:59 +0200

gkrellm (2.3.5-4) experimental; urgency=low

  * debian/patches/06_bts646262_add_format_string_to_syslog_call.patch
    - fix a FTBFS with hardening flags by using a proper format-string to
      syslog() call; thanks to Julian Taylor for the report and to Stefan Gehn
      for the patch; Closes: #646262
  * debian/{control, compat}
    - move to Debhelper 9, in particular to enable hardening flags
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Aug 2012 19:33:47 +0200

gkrellm (2.3.5-3) unstable; urgency=low

  * debian/rules
    - write a proper override for dh_clean; thanks to Christoph Egger for the
      IRC notification
  * debian/gkrellmd.init
    - 'hddtemp' is moved to Should-Start, instead of Required-Start; fix an
      installation error if hddtemp is not there; thanks to Lucas Nussbaum for
      the report; Closes: #640600

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Sep 2011 00:07:49 +0200

gkrellm (2.3.5-2) unstable; urgency=low

  * Upload to unstable
  * debian/gkrellmd.init
    - add 'hddtemp' to the daemons list to start before gkrellmd; thanks to
      Ahmad Khayyat for the report; Closes: #605645
  * gkrellmd.post{inst,rm}
    - use useradd/userdel, available even in minimum systems; thanks to Holger
      Levsen for the report and hints; Closes: #618458
  * debian/control
    - bump Standards-Version to 3.9.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Aug 2011 21:28:30 +0200

gkrellm (2.3.5-1) experimental; urgency=low

  * New upstream release
    - search for linux sensors directly below hwmon dir; Closes: #592989
  * debian/patches/*
    - refreshed
  * debian/patches/06_bts487275-499831_external_mail_client.patch
    - removed, merged upstream
  * debian/{control, rules}
    - use libsensors4 to read system devices information
  * debian/control
    - bump Standards-Version to 3.9.1 (no changes needed)
    - changed Conflicts with Breaks
  * debian/gkrellmd.init
    - added depends on $remote_fs for both start and stop
  * debian/{source/format, control, rules}
    - set source format to '3.0 (quilt)'
  * debian/copyright
    - updated upstream copyright info

 -- Sandro Tosi <morph@debian.org>  Fri, 22 Oct 2010 00:02:12 +0200

gkrellm (2.3.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/07_bts554553_FTBFS_binutil-gold.patch
    - removed, merged upstream

 -- Sandro Tosi <morph@debian.org>  Fri, 08 Jan 2010 01:12:02 +0100

gkrellm (2.3.3-1) unstable; urgency=low

  * New upstream release
  * debian/rules
    - cleanup gkrellm.ico
  * debian/patches/07_getline.patch
    - removed, fixed upstream
  * debian/gkrellm.lintian-overrides
    - removed override for arch-dep-package-has-big-usr-share, no more needed
  * debian/patches/{04_fix_manpage_hyphen.patch,
                    06_bts487275-499831_external_mail_client.patch}
    - refreshed
  * debian/copyright
    - extended upstream and packaging copyright years
    - added OpenSSL exception
  * debian/{compat, control, rules}
    - switch to dh7 (bye bye cdbs)
  * debian/patches/07_bts554553_FTBFS_binutil-gold.patch
    - fix the FTBFS with binutil-gold by adding -lX11; thanks to Peter Fritzsche
      for the report; Closes: #554553

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Jan 2010 18:12:10 +0100

gkrellm (2.3.2-5) unstable; urgency=low

  * debian/patches/07_getline.patch
    - added patch to fix a FTBFS with eglibc 2.10; thanks to Ilya Barygin for
      the report and patch (from Ubuntu); Closes: #549405
  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
  * debian/gkrellmd.postrm
    - do not call 'getent' with path (lintian warning)
  * debian/gkrellm.lintian-overrides
    - added to suppress a couple of tags that can't be fixed

 -- Sandro Tosi <morph@debian.org>  Fri, 30 Oct 2009 14:44:19 +0100

gkrellm (2.3.2-4) unstable; urgency=low

  * debian/patches/06_bts487275-499831_external_mail_client.patch
    - fix invoke of external mail reading program (now works only the first
      time); thanks to bug reportes and confirmers and to xeyrion for the patch
      (from Gkrellm mailing list); Closes: #487275, #499831
  * debian/control
    - bump Standards-Version to 3.8.1
      + added debian/README.source
  * debian/patches/*
    - added Author/Description, as suggested by lintian

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Jun 2009 09:29:53 +0200

gkrellm (2.3.2-3) unstable; urgency=low

  * debian/control
    - removed gdk-imlib1-dev since not needed; thanks to Barry deFreese for the
      report; Closes: #508925
  * debian/copyright
    - added my as the corrent packaging copyright holder

 -- Sandro Tosi <morph@debian.org>  Mon, 09 Mar 2009 18:41:29 +0100

gkrellm (2.3.2-2) unstable; urgency=medium

  * debian/gkrellm.install
    - added installation of "log.h" header; thanks to Bradley Smith for the
      report; Closes: #504209

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Nov 2008 20:23:04 +0100

gkrellm (2.3.2-1) unstable; urgency=low

  * Adopting packages; Closes: #494725
  * New upstream release
    - add linux sysfs battery interface, preferred over deprecated /proc/acpi
      interface; Closes: #463779
  * debian/control
    - set me as maintainer (adoption)
    - added Homepage field
    - updated Vcs-{Git,Browser} field
    - changed a bit the descriptions
    - added build-dep on libntlm0-dev, needed by upstream to remove smb* files
  * debian/patches/01_gkrellmd.conf.patch
    - refreshed for new upstream code
  * debian/patches/02_memory_leak.patch
    - removed since merged upstream
  * debian/patches/03_sysfs-battery-patch_476641.patch
    - removed since merged upstream
  * debian/patches/04_fix_manpage_hyphen.patch
    - added to fix hyphen-used-as-minus-sign lintian warning
  * debian/patches/05_bts437033_fix_strip.patch
    - added to fix binary stripping; thanks to Julien Danjou for the report;
      Closes: #437033
  * debian/copyright
    - updated upstream email address
    - updated copyright years
    - added license boilerplate
    - updated list of files with different copyright notices
  * debian/gkrellmd.{postinst,postrm}
    - shell script set "-e" flag; lintian warning
    - moved user check into "if" statement
  * debian/gkrellmd.postrm
    - replaced "--remove-all-files" option with "--system"

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Oct 2008 00:27:39 +0200

gkrellm (2.3.1-7) unstable; urgency=low

  * Fixed restarting issues in init file and stopping errors. (Closes: #493077)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 06 Aug 2008 00:20:30 -0430

gkrellm (2.3.1-6) unstable; urgency=low

  * Applied sysfs battery patch (Closes: #476641) - Thanks to Leo L. Schwab
    <ewhac at best.com>
  * Fixed desktop category in .desktop file

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sun, 06 Jul 2008 23:56:22 -0430

gkrellm (2.3.1-5) unstable; urgency=low

  * Added patch for memory leakage (Closes: #485745) - Thanks to Dmitry B.
    Khlonin for pointing out the patch.
  * Updated Vcs URI
  * Updated some stuff missing, thanks to Corey Wright

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Tue, 17 Jun 2008 14:57:12 -0430

gkrellm (2.3.1-4) unstable; urgency=low

  * debian/gkrellmd.init:
   + Fixed creation of pidfile (Closes: #475932) - thanks to Daniel Dickinson
  * debian/control:
   + Added VCS fields

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 28 May 2008 00:27:24 -0430

gkrellm (2.3.1-3) unstable; urgency=low

  * debian/gkrellmd.init:
   + Fixed variable naming I miswrite in last upload.
  * debian/gkrellmd.postrm:
   + Added, now will delete the gkrellmd user if purged, thanks to
   Pedro Fragoso.
  * debian/gkrellm.desktop:
   + Added, thanks to Pedro Fragoso.
  * debian/gkrellm.install:
   + Added gkrellm.desktop.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sat, 10 May 2008 23:14:42 -0430

gkrellm (2.3.1-2) unstable; urgency=low

  * debian/gkrellmd.postinst:
   + Fixed to --no-create-home, doesn't needs it. (Closes: #426185)
  * debian/gkrellmd.init:
   + Fixed the creation of the PID file with background option.
   (Closes: #458262, #475932)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Tue, 06 May 2008 19:02:04 -0430

gkrellm (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Fixed gkrellmd manpage typo. (Closes: #429712)
  * Fixed inet seconds interval, now reads ok. (Closes: #385112)
  * Patch added from upstream for claws-mail. (Closes: #431740)
  * debian/patches/{02_configure.dpatch,03_mail.c.dpatch}:
   + Deleted since this patchs are applied from upstream now.
  * debian/rules:
   Migrated to CDBS.
  * debian/control:
   + Added `cdbs` and `quilt` as build-depends and deleted dpatch.
  * debian/patches:
   + Cleaned up, migrated from `dpatch` to `quilt` so there's no `00list`
   but `series` and now is `01_gkrellmd.conf.patch` from a simple unified
   diff.
  * debian/gkrellm[d].install:
   + Updated so now there're two columns, one for source and other for
   destination.
  * debian/copyright:
   + Updated to GPLv3 since gkrellm-2.3.0 (Closes: #456436).

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sat, 15 Dec 2007 22:10:55 -0430

gkrellm (2.2.10-2) unstable; urgency=low

  * New maintainer (Closes: #424890)
  * debian/control:
   + Changed maintainer name and address.
   + Updated Standards-Version from 3.6.2 to 3.7.2. No changes needed.
  * debian/gkrellmd.init:
   + Added tags "BEGIN INIT INFO" and all the respective data.

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sat, 02 Jun 2007 00:50:52 -0400

gkrellm (2.2.10-1) unstable; urgency=low

  * New upstream release (Closes: #407154)
  * Add patches to fix that configure script is unable to detect libgnutls.
  * --without-ssl, prefer GNUTLS over OpenSSL (see #337728).
  * --without-libsensors, force using /sysfs for safety.
  * Add information about battery monitor for Powerbook/iBook (Closes: #383753)

 -- Cai Qian <caiqian@debian.org>  Thu, 15 Feb 2007 16:42:45 +0800

gkrellm (2.2.9-1) unstable; urgency=low

  * New upstream release (fixed segfault on battery plugin)

 -- Cai Qian <caiqian@debian.org>  Mon, 03 Apr 2006 11:16:00 +0100

gkrellm (2.2.8-1) unstable; urgency=low

  * New upstream release (Closes: #357773, #347235, #335688, #341250,
    #335248)

 -- Cai Qian <caiqian@debian.org>  Thu, 30 Mar 2006 23:15:00 +0100

gkrellm (2.2.7-9) unstable; urgency=low

  * debian/control: provides gkrellm-common. (Closes: #352561)

 -- Cai Qian <caiqian@debian.org>  Sun, 12 Feb 2006 21:50:00 +0000

gkrellm (2.2.7-8) unstable; urgency=low

  * debian/rules: fixed broken LOCALEDIR. (Closes: #351613)
  * upstream Changelog renamed to changelog

 -- Cai Qian <caiqian@debian.org>  Mon, 6 Feb 2006 18:32:00 +0000

gkrellm (2.2.7-7) unstable; urgency=low

  * back header files. (Closes: #349027)

 -- Cai Qian <caiqian@debian.org>  Fri, 20 Jan 2006 16:00:01 +0000

gkrellm (2.2.7-6) unstable; urgency=low

  * gkrellmd.postinst: changed gkrellmd daemon priority, in order to wait
    hddtemp and mbmon. (Closes: #343505).
  * contorl: rewrited packages' description and removed obsolete
    entries. Fixed xlibs-dev issue. (Closes: #346735)
    gkrellm and gkrellmd replace gkrellm-common.
  * rules: used debhelper v5 and dpatch.
  * README.Debian:
  * gkrellmd.init.d: remove hard coded no_gkrellmd_on_boot.
  * dropped header files.

 -- Cai Qian <caiqian@debian.org>  Tue, 17 Jan 2006 13:00:01 +0000

gkrellm (2.2.7-5) unstable; urgency=low

  * Prevented gkrellm linked to libssl. (Closes: #337728)

 -- Cai Qian <caiqian@debian.org>  Tue, 08 Nov 2005 23:36:00 +0000

gkrellm (2.2.7-4) unstable; urgency=low

  * Changed "Architecture" for d4x-common to "all".

 -- Cai Qian <caiqian@debian.org>  Sun, 06 Nov 2005 03:10:00 +0000

gkrellm (2.2.7-3) unstable; urgency=low

  * New maintainer (Closes: #337525)
  * Build against libgnutls-dev (Closes: #335763, #322211)
  * gkrellmd depended on adduser
  * Added watch file.

 -- Cai Qian <caiqian@debian.org>  Sat, 5 Nov 2005 20:10:00 +0000

gkrellm (2.2.7-2) unstable; urgency=low

  * Honor DEB_BUILD_OPTIONS=nostrip (Closes: #260444)
  * mailcheck config GUI changes to address issues raised
    in bug #290817 (Closes: #290817)

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jun 2005 20:27:12 -0400

gkrellm (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Remove false build dependency on libgtop-dev (Closes: #313070)
  * Apply update to German translation (Closes: #314088)
  * Put actual copyright in copyright file (Closes: #290165)
  * Added note about hddtemp functionality in README.Debian (Closes: #296484)
  * Removed patches/gnutls_pthreads.patch, integrated upstream

 -- Brian M. Almeida <bma@debian.org>  Tue, 14 Jun 2005 19:49:34 -0400

gkrellm (2.2.5-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Updated the gnutls patch in order to avoid a crash when checking multiple
    mailboxes (thanks Philipp Hartmann), closes: #310471.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 May 2005 18:17:48 +0200

gkrellm (2.2.5-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Put back maintainer's changes to the source mistakenly removed.
  * Changed the build dependency from gdk-imlib-dev to gdk-imlib1-dev which is
    a real package.

 -- Samuel Mimram <smimram@debian.org>  Sun, 22 May 2005 19:05:19 +0200

gkrellm (2.2.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added a patch to use libgnutls instead of libssl, closes: #309089.

 -- Samuel Mimram <smimram@debian.org>  Sat, 21 May 2005 16:20:33 +0200

gkrellm (2.2.5-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Tue, 22 Mar 2005 21:54:15 -0500

gkrellm (2.2.4-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon, 18 Oct 2004 10:30:12 -0400

gkrellm (2.2.2-3) unstable; urgency=low

  * Conflict with gkrellm-hddtemp (Closes: #263273)
  * build-depend on libssl-dev (closes: #260166)

 -- Brian M. Almeida <bma@debian.org>  Fri,  6 Aug 2004 09:46:30 -0400

gkrellm (2.2.2-2) unstable; urgency=low

  * Provide gkrellm-hddtemp (Closes: #262709)

 -- Brian M. Almeida <bma@debian.org>  Sun,  1 Aug 2004 16:19:02 -0400

gkrellm (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sat, 17 Jul 2004 11:34:10 -0400

gkrellm (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Include gkrellm.pc in gkrellm-common (closes: #253428)

 -- Brian M. Almeida <bma@debian.org>  Mon, 14 Jun 2004 21:08:36 -0400

gkrellm (2.2.0-1) unstable; urgency=low

  * New upstream release
     - Now uses pango instead of GdkText to draw fonts, closes: #194692
  * Document how to launch console programs, closes: #230233
  * Zero out timer when going offline, closes: #221991

 -- Brian M. Almeida <bma@debian.org>  Sat, 15 May 2004 18:09:11 -0400

gkrellm (2.1.28-1) unstable; urgency=low

  * New upstream release, closes: #247097

 -- Brian M. Almeida <bma@debian.org>  Mon,  3 May 2004 09:26:11 -0400

gkrellm (2.1.27-2) unstable; urgency=low

  * Update location of icon in gkrellm.menu, closes: #246829

 -- Brian M. Almeida <bma@debian.org>  Sun,  2 May 2004 18:55:35 -0400

gkrellm (2.1.27-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sat, 28 Feb 2004 18:07:24 -0500

gkrellm (2.1.26-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri, 27 Feb 2004 23:39:59 -0500

gkrellm (2.1.25-2) unstable; urgency=low

  * Tighten version dep on debhelper, closes: #230001
  * Remove IMAPS note from README.Debian, supported in mail checker
    plugin now.

 -- Brian M. Almeida <bma@debian.org>  Sun, 25 Jan 2004 10:21:45 -0500

gkrellm (2.1.25-1) unstable; urgency=low

  * New upstream release
     - Fixes race condition with startup positioning,
       closes: #225482

 -- Brian M. Almeida <bma@debian.org>  Thu, 22 Jan 2004 21:29:06 -0500

gkrellm (2.1.24-1) unstable; urgency=low

  * New upstream release (closes: #224391)

 -- Brian M. Almeida <bma@debian.org>  Sun, 28 Dec 2003 17:33:41 -0500

gkrellm (2.1.23-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sat, 20 Dec 2003 13:36:28 -0500

gkrellm (2.1.21-4) unstable; urgency=low

  * Change gkrellm-common to arch=any to avoid buildd breakage,
    closes: #223735

 -- Brian M. Almeida <bma@debian.org>  Thu, 11 Dec 2003 22:37:24 -0500

gkrellm (2.1.21-3) unstable; urgency=low

  * Applie patch to add support for imaps mailcheck, thanks to
    Samuel Mimram <samuel.mimram@ens-lyon.fr>

 -- Brian M. Almeida <bma@debian.org>  Sun,  7 Dec 2003 23:11:02 -0500

gkrellm (2.1.21-2) unstable; urgency=low

  * Symlink README.gz in /usr/share/doc/gkrellm{,d} to
    /usr/share/doc/gkrellm-common/README.gz (closes: #221899)

 -- Brian M. Almeida <bma@debian.org>  Thu, 20 Nov 2003 22:02:50 -0500

gkrellm (2.1.21-1) unstable; urgency=low

  * New upstream release
     - F2 now pops up configuration menu, closes: #214457
     - Wording cleared up in configuration dialog, closes: #192919

 -- Brian M. Almeida <bma@debian.org>  Mon, 13 Oct 2003 23:05:10 -0400

gkrellm (2.1.20-1) unstable; urgency=low

  * New usptream release
     - Sensors code updated to work with 2.6.0-test6, closes: #214615

 -- Brian M. Almeida <bma@debian.org>  Wed,  8 Oct 2003 13:57:35 -0400

gkrellm (2.1.18-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Thu, 11 Sep 2003 23:21:19 -0400

gkrellm (2.1.16-3) unstable; urgency=low

  * Remove -e from shebang, causing postinst to fail when
    gkrellmd user does not exist (Closes: #208616)

 -- Brian M. Almeida <bma@debian.org>  Thu,  4 Sep 2003 23:07:57 -0400

gkrellm (2.1.16-2) unstable; urgency=low

  * Switched build system to CDBS
  * Updated standards version to 3.6.0

 -- Brian M. Almeida <bma@debian.org>  Thu, 21 Aug 2003 12:35:49 -0400

gkrellm (2.1.16-1) unstable; urgency=low

  * New upstream version
     - Handles swap chart correctly in kernel 2.6.x, closes: #204999
  * Added icon (if you don't like it, find something
    else for me - it's what google was able to get for me :)
    Closes: #192695
  * Put IMAP folder names in quotes (follow up on #202403)
  * Cleaned up duplicate conflicts lintian error

 -- Brian M. Almeida <bma@debian.org>  Thu, 21 Aug 2003 07:30:21 -0400

gkrellm (2.1.15-1) unstable; urgency=low

  * New upstream release
     - Support spaces in IMAP mailbox names, closes: #202403
     - Doesn't write translated strings to config file.
       New configs not backwards compatible, so they have
       been renamed to user-config and sensors-config.
       Closes: #193555
     - Diskstats now work in 2.6.x and above, closes: #201294
     - Diskstats reported on more than IDE0/fd0 in 2.6.x and
       above, closes: #192480
     - Internet connection clock now properly cycles, closes: #199460
     - Added note in README.Debian on how to add support for
       polling pop3s/imaps mailservers, closes: #202397
  * Only add gkrellmd user if it doesn't exist

 -- Brian M. Almeida <bma@debian.org>  Wed, 30 Jul 2003 08:19:04 -0400

gkrellm (2.1.14-1) unstable; urgency=low

  * New upstream release
      - Fixes remotely exploitable buffer overflow in gkrellmd
  * Allow IPv6 localhost (Closes: #198701)

 -- Brian M. Almeida <bma@debian.org>  Wed, 25 Jun 2003 06:14:06 -0400

gkrellm (2.1.13-3) unstable; urgency=low

  * Only listen on localhost by default

 -- Brian M. Almeida <bma@debian.org>  Tue, 24 Jun 2003 13:04:14 -0400

gkrellm (2.1.13-2) unstable; urgency=low

  * Run gkrellmd as gkrellmd user

 -- Brian M. Almeida <bma@debian.org>  Tue, 24 Jun 2003 12:47:52 -0400

gkrellm (2.1.13-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Tue, 17 Jun 2003 21:22:47 -0400

gkrellm (2.1.12-1) unstable; urgency=low

  * New upstream version
     - Patch applied to make gkrellmd use SO_REUSEADDR, closes: #194722
     - Fixed segfault in make_pidfile() when running gkrellmd
       can't write pidfile, closes: #195858

 -- Brian M. Almeida <bma@debian.org>  Tue,  3 Jun 2003 06:58:58 -0400

gkrellm (2.1.10-5) unstable; urgency=low

  * Conflict with all woody gkrellm 1.x plugin versions
    so as to support partial upgrades. This list was
    generated from running apt-cache showpkg gkrellm in
    a woody chroot and doing an apt-cache show on each
    reverse depends. Closes: #192890

 -- Brian M. Almeida <bma@debian.org>  Tue, 27 May 2003 19:43:03 -0400

gkrellm (2.1.10-4) unstable; urgency=low

  * Build with INSTALLROOT=/usr, closes: #193220

 -- Brian M. Almeida <bma@debian.org>  Wed, 14 May 2003 06:45:53 -0400

gkrellm (2.1.10-3) unstable; urgency=low

  * Fixed typo in changelog, closes: #193021

 -- Brian M. Almeida <bma@debian.org>  Mon, 12 May 2003 07:30:41 -0400

gkrellm (2.1.10-2) unstable; urgency=low

  * Added path to /etc/init.d/gkrellmd script

 -- Brian M. Almeida <bma@debian.org>  Mon, 12 May 2003 07:21:04 -0400

gkrellm (2.1.10-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sat, 10 May 2003 09:24:42 -0400

gkrellm (2.1.9-2) unstable; urgency=low

  * Included $GKRELLM_OPTS when restarting

 -- Brian M. Almeida <bma@debian.org>  Thu,  8 May 2003 14:40:49 -0400

gkrellm (2.1.9-1) unstable; urgency=low

  * New upstream release, closes: #176951
  * Added init.d script for gkrellmd

 -- Brian M. Almeida <bma@debian.org>  Sun,  6 Apr 2003 14:46:35 -0400

gkrellm (2.1.8-2) unstable; urgency=low

  * Applied patch from Tino Keitel <tino.keitel@web.de> for
    multiple battery monitoring support (requires kernel patch
    from http://www.vjet.demon.co.uk/dell/dualbat.html), closes: #185925

 -- Brian M. Almeida <bma@debian.org>  Sun, 23 Mar 2003 21:40:33 -0500

gkrellm (2.1.8-1) unstable; urgency=low

  * New upstream release
  * No longer segfaults on extended characters, closes: #177815, #178595

 -- Brian M. Almeida <bma@debian.org>  Tue, 18 Mar 2003 18:49:39 -0500

gkrellm (2.1.7-3) unstable; urgency=low

  * Applied patch from mody@atlas.cz to fix ISDN interface
    monitoring, closes: #176908
  * Provide gkrellm-gnome, closes; #183886

 -- Brian M. Almeida <bma@debian.org>  Sat,  8 Mar 2003 14:24:51 -0500

gkrellm (2.1.7-2) unstable; urgency=low

  * Split into gkrellm/gkrellmd/gkrellm-common, closes: #168870
  * Moved to using dh_install

 -- Brian M. Almeida <bma@debian.org>  Tue,  4 Mar 2003 18:50:03 -0500

gkrellm (2.1.7-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon,  3 Feb 2003 22:12:45 -0500

gkrellm (2.1.4-1) unstable; urgency=low

  * New upstream release
  * gkrellm 1.x is no longer being maintained
    upstream, so now the gkrellm source package
    follows 2.x -- obsoleting the gkrellm2
    source packages. Closes: #159791, #170314, #140065

 -- Brian M. Almeida <bma@debian.org>  Fri, 27 Dec 2002 20:43:41 -0500

gkrellm (2.1.0-1) unstable; urgency=low

  * Update to gkrellm v2

 -- Brian M. Almeida <bma@debian.org>  Tue,  3 Dec 2002 21:50:15 -0500

gkrellm (1.2.12-2) unstable; urgency=low

  * Changed gdk-imlib-dev to gdk-imlib1-dev in Build-Depends, per
    request of imlib maintainer

 -- Brian M. Almeida <bma@debian.org>  Mon,  2 Sep 2002 22:10:51 -0400

gkrellm (1.2.12-1) unstable; urgency=low

  * New upstream release, closes: #146007

 -- Brian M. Almeida <bma@debian.org>  Fri, 19 Jul 2002 22:04:42 -0400

gkrellm (1.2.11-4) unstable; urgency=low

  * Updated Spanish translation, closes: #149160

 -- Brian M. Almeida <bma@debian.org>  Mon, 10 Jun 2002 07:46:02 -0400

gkrellm (1.2.11-3) unstable; urgency=low

  * Updated Polish translation, closes: #148164
  * Fixed mail login error and crash when authentication fails,
    closes: #146521

 -- Brian M. Almeida <bma@debian.org>  Tue, 28 May 2002 16:00:52 -0400

gkrellm (1.2.11-2) unstable; urgency=low

  * Rebuilt against libpng2, closes: #143860, #143867

 -- Brian M. Almeida <bma@debian.org>  Sun, 21 Apr 2002 11:17:57 -0400

gkrellm (1.2.11-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri, 19 Apr 2002 22:06:59 -0400

gkrellm (1.2.10-1) unstable; urgency=low

  * New upstream release
  * No longer spits out error messages from eject, closes: #132715

 -- Brian M. Almeida <bma@debian.org>  Wed, 20 Mar 2002 13:43:30 -0500

gkrellm (1.2.9-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 27 Feb 2002 08:44:01 -0500

gkrellm (1.2.8-1) unstable; urgency=low

  * New upstream release, closes: #127889

 -- Brian M. Almeida <bma@debian.org>  Mon,  7 Jan 2002 09:15:13 -0500

gkrellm (1.2.7-1) unstable; urgency=low

  * New upstream release
  * Fix possible hanging w/ pclose, closes: #117710
  * Added Suggests: gkrellm-gnome, closes: #127478
  * Removed README.Debian, no longer used

 -- Brian M. Almeida <bma@debian.org>  Wed,  2 Jan 2002 17:51:37 -0500

gkrellm (1.2.6-1) unstable; urgency=low

  * The "Friday before Christmas" Release :-)
  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri, 21 Dec 2001 08:47:20 -0500

gkrellm (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri,  7 Dec 2001 07:37:54 -0500

gkrellm (1.2.4-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 31 Oct 2001 15:17:29 -0500

gkrellm (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 24 Oct 2001 10:05:37 -0400

gkrellm (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 22 Aug 2001 22:43:56 -0400

gkrellm (1.2.1-2) unstable; urgency=low

  * Added libgtop-dev to build-depends, closes: #104198

 -- Brian M. Almeida <bma@debian.org>  Fri, 17 Aug 2001 15:53:37 -0400

gkrellm (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Thu,  2 Aug 2001 14:13:36 -0400

gkrellm (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Thu,  2 Aug 2001 08:22:14 -0400

gkrellm (1.0.8-2) unstable; urgency=low

  * Rebuilt against newer libc6, closes: #97259

 -- Brian M. Almeida <bma@debian.org>  Sun,  3 Jun 2001 16:45:23 -0400

gkrellm (1.0.8-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Tue, 17 Apr 2001 07:53:17 -0400

gkrellm (1.0.7-2) unstable; urgency=low

  * Use upstream manpage, not my cheap pod-generated one :)

 -- Brian M. Almeida <bma@debian.org>  Wed, 14 Mar 2001 15:16:12 -0500

gkrellm (1.0.7-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file to point to gkrellm.net

 -- Brian M. Almeida <bma@debian.org>  Wed, 14 Mar 2001 14:06:19 -0500

gkrellm (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon, 29 Jan 2001 22:38:09 -0500

gkrellm (1.0.5-2) unstable; urgency=low

  * Added hints to menu file, closes: #82548

 -- Brian M. Almeida <bma@debian.org>  Tue, 23 Jan 2001 10:41:33 -0500

gkrellm (1.0.5-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Tue, 23 Jan 2001 07:46:43 -0500

gkrellm (1.0.4-1) unstable; urgency=low

  * New upstream version
  * Doesn't parse filenames in maildir new and cur dirs, closes: #78865
  * Third-party plugin is now available for GNOME session management,
    use that (See README.Debian), closes: #79139

 -- Brian M. Almeida <bma@debian.org>  Mon, 15 Jan 2001 12:02:24 -0500

gkrellm (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #80366, #80450)

 -- Brian M. Almeida <bma@debian.org>  Sun,  7 Jan 2001 21:49:01 -0500

gkrellm (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 15 Nov 2000 14:10:20 -0500

gkrellm (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Thu, 19 Oct 2000 17:25:01 +0000

gkrellm (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri, 13 Oct 2000 16:44:49 +0000

gkrellm (0.10.5-4) unstable; urgency=low

  * Don't compile against XF4 libs

 -- Brian M. Almeida <bma@debian.org>  Thu, 10 Aug 2000 07:22:12 -0400

gkrellm (0.10.5-3) unstable; urgency=low

  * Add gettext to Build-Depends, closes #68821

 -- Brian M. Almeida <bma@debian.org>  Wed,  9 Aug 2000 10:19:02 -0400

gkrellm (0.10.5-2) unstable; urgency=low

  * Install locales, closes: #68737

 -- Brian M. Almeida <bma@debian.org>  Tue,  8 Aug 2000 07:22:54 -0400

gkrellm (0.10.5-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sun,  6 Aug 2000 21:40:25 -0400

gkrellm (0.10.4-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 12 Jul 2000 13:14:21 -0400

gkrellm (0.10.3-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon, 10 Jul 2000 14:40:41 -0400

gkrellm (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Removed errant debian/usr directory
  * Upstream bugfixes, closes: #66333, #66334

 -- Brian M. Almeida <bma@debian.org>  Fri, 30 Jun 2000 08:20:14 -0400

gkrellm (0.10.0-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sun, 25 Jun 2000 23:07:38 -0400

gkrellm (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 31 May 2000 13:07:42 -0400

gkrellm (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon, 22 May 2000 13:06:42 -0400

gkrellm (0.9.8-2) unstable; urgency=low

  * Include plugin headers, closes: #62455

 -- Brian M. Almeida <bma@debian.org>  Tue, 18 Apr 2000 09:13:12 -0400

gkrellm (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon, 10 Apr 2000 12:53:02 -0400

gkrellm (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon,  3 Apr 2000 16:15:37 -0400

gkrellm (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Sun, 12 Mar 2000 16:00:16 -0500

gkrellm (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon,  6 Mar 2000 15:03:33 -0500

gkrellm (0.9.4-3) unstable; urgency=low

  * Fix Build-Depends (again, grrr)

 -- Brian M. Almeida <bma@debian.org>  Fri,  3 Mar 2000 15:05:04 -0500

gkrellm (0.9.4-2) unstable; urgency=medium

  * Removed libgtop-dev from build dependencies

 -- Brian M. Almeida <bma@debian.org>  Mon, 28 Feb 2000 16:27:06 -0500

gkrellm (0.9.4-1) unstable; urgency=medium

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon, 28 Feb 2000 16:24:04 -0500

gkrellm (0.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Wed, 23 Feb 2000 10:58:28 -0500

gkrellm (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Moved away from DBS
  * Added libgtop-dev to the build dependencies.

 -- Brian M. Almeida <bma@debian.org>  Tue, 22 Feb 2000 14:44:57 -0500

gkrellm (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Fri, 21 Jan 2000 13:15:07 -0500

gkrellm (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Added debhelper and xlib6g-dev to Build-Depends

 -- Brian M. Almeida <bma@debian.org>  Sun, 16 Jan 2000 08:24:05 -0500

gkrellm (0.7.5-2) unstable; urgency=low

  * Policy 3.1.1
  * Added Build-Depends

 -- Brian M. Almeida <bma@debian.org>  Thu, 13 Jan 2000 11:11:20 -0500

gkrellm (0.7.5-1) unstable; urgency=low

  * New upstream version, closes: #52787

 -- Brian M. Almeida <bma@debian.org>  Wed, 15 Dec 1999 10:31:26 -0500

gkrellm (0.7.4-1) unstable; urgency=low

  * New upstream version, closes: #51326

 -- Brian M. Almeida <bma@debian.org>  Sun,  5 Dec 1999 09:12:35 -0500

gkrellm (0.7.3-2) unstable; urgency=low

  * Added gkrellm manpage, closes: #51325

 -- Brian M. Almeida <bma@debian.org>  Wed,  1 Dec 1999 23:31:47 -0500

gkrellm (0.7.3-1) unstable; urgency=low

  * New usptream release

 -- Brian M. Almeida <bma@debian.org>  Fri,  5 Nov 1999 13:24:10 -0500

gkrellm (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Mon,  1 Nov 1999 08:01:49 -0500

gkrellm (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Brian M. Almeida <bma@debian.org>  Thu, 28 Oct 1999 07:53:38 -0400

gkrellm (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Fixed bug in DBS when there are no debian-specific patches

 -- Brian M. Almeida <bma@debian.org>  Tue,  5 Oct 1999 13:56:54 -0400

gkrellm (0.6.8-1) unstable; urgency=low

  * New upstream release
  * #001 removed, applied upstream

 -- Brian M. Almeida <bma@debian.org>  Wed,  8 Sep 1999 20:05:03 -0400

gkrellm (0.6.7-4) unstable; urgency=low

  * Build with new debhelper for FHS compliance.

 -- Brian M. Almeida <bma@debian.org>  Mon,  6 Sep 1999 01:54:24 -0400

gkrellm (0.6.7-3) unstable; urgency=low

  * debuild -sa

 -- Brian M. Almeida <bma@debian.org>  Mon,  6 Sep 1999 01:47:34 -0400

gkrellm (0.6.7-2) unstable; urgency=low

  * Converted to the DBS (doogie build system)
  * Added menu entry for gkrellm

 -- Brian M. Almeida <bma@debian.org>  Mon,  6 Sep 1999 01:19:11 -0400

gkrellm (0.6.7-1) unstable; urgency=low

  * New upstream release
  * Upload to overwrite Dan Nguyen's upload, this is *MY* package

 -- Brian M. Almeida <bma@debian.org>  Sun,  5 Sep 1999 18:48:35 -0400

gkrellm (0.6.3-1) unstable; urgency=low

  * Initial Release.

 -- Brian M. Almeida <bma@debian.org>  Fri, 27 Aug 1999 09:54:07 -0400

Local variables:
mode: debian-changelog
End:
